2014-10-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.60 released.

2014-09-29  Jerry James  <james@xemacs.org>

	* Makefile: Put ethio-util.el in EXTRA_SOURCES if building with
	XEmacs 21.4, and ethio-util.elc in ELCS if XEmacs 21.5.

2014-06-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.59 released.

2014-06-02  Jerry James  <james@xemacs.org>

	* Makefile (EXTRA_SOURCES): Enable byte compiling ethio-util.el
	with XEmacs 21.5.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.58 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.57 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.
	* char-table.el: Restore CVS keyword expansions.
	* chartblxmas.el: Ditto.
	* etc/FAQ-Mule.ja: Ditto.
	* etc/FAQ-Mule.kr: Ditto.
	* texi/*.texi: Update for texinfo 5.x.

2009-09-30  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.56 released.

2009-09-26  Aidan Kehoe  <kehoea@parhasard.net>

	* fsf-compat-unicode.el: 
	Give a nicer error message if this XEmacs doesn't have the Unicode
	coverage necessary for this file.
	(fsf-compat-init-mule-unicode-charsets): 
	Add an autoload cookie for this.

2009-09-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.55 released.

2009-09-11  Aidan Kehoe  <kehoea@parhasard.net>

	* japan-util.el (setup-japanese-environment-internal): 
	Don't check whether the current console--which may be mswindows or
	something else--provides the X11 keysym `kana_A', rather call
	#'kana-keyboard-define-keys if we have X11 support at all.

2009-09-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.54 released.

2009-09-01  Jerry James  <james@xemacs.org>

	* mule-util.el (store-substring): Remove older version of a
	function that is now defined in subr.el.
	(truncate-string-to-width): Ditto.
	(truncate-string): Ditto.

2008-08-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.53 released.

2008-08-09  Aidan Kehoe  <kehoea@parhasard.net>

	* cyril-util.el: Move changes made in the mainline development
	version here:

    2008-05-11  Aidan Kehoe  <kehoea@parhasard.net>

	* mule/cyril-util.el (standard-display-cyrillic-translit): 
	Make the selection of the default language more sensible; change
	the API a little to make a sensible default Cyrillic language
	available, checking current-language-environment. 

    2007-07-21  Aidan Kehoe  <kehoea@parhasard.net>

	* mule/cyril-util.el:
	* mule/cyril-util.el (cyrillic-encode-koi8-r-char): Removed.
	* mule/cyril-util.el (cyrillic-encode-alternativnyj-char):
	Removed.  No-one uses these functions in google.com/codesearch,
	GNU have a comment doubting their utility, and their
	implementation is trivial. 
	* mule/cyril-util.el (cyrillic-language-alist):
	Reformatted.
	* mule/cyril-util.el (standard-display-table)): Removed. It wasn't
	used anyway. 
	* mule/cyril-util.el (standard-display-cyrillic-translit):
	Rewrite it to work with character tables as display tables, and
	not to abort with an error.

    2003-01-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* mule/cyril-util.el (cyrillic-language-alist): There is no such
	language as Serbo-Croatian, according to Hrvoje, who oughtta know.

2007-07-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.52 released.

2007-07-29  Aidan Kehoe  <kehoea@parhasard.net>

	* fsf-compat-unicode.el:
	* fsf-compat-unicode.el (and):
	* fsf-compat-unicode.el (fsf-compat-ccl-program):
	* fsf-compat-unicode.el (fsf-compat-init-mule-unicode-charsets):
	Shifting the arguments to mule-to-unicode 7 bits was appropriate,
	but for redisplay r1 needs to be the highest octet, r2 the lowest,
	of the 16-bit UCS code. 

	text-conversion-error is not available on 21.4, so it turns out
	the code fails in a more ugly way thatn I wanted there. 

2007-07-27  Aidan Kehoe  <kehoea@parhasard.net>

	* fsf-compat-unicode.el:
	* fsf-compat-unicode.el (fsf-compat-ccl-program): New.
	* fsf-compat-unicode.el (fsf-compat-init-mule-unicode-charsets):
	Use fsf-compat-ccl-program, which better reflects the CCL
	behaviour in force at the time it was compiled. Also move the CCL
	program constant to actually shifting eight bits at a time.

2007-07-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.51 released.

2007-07-23  Aidan Kehoe  <kehoea@parhasard.net>

	* fsf-compat-unicode.el (eval-when-compile): 
	Switch to the << 7-bits approach for arguments to mule-to-unicode,
	to better accord with the rest of the CCL calls. Already applied
	to the C core. 

2007-05-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.50 released.

2007-05-20  Aidan Kehoe  <kehoea@parhasard.net>

	* mule-util.el (nested-alist-p):
	Escape a parenthesis at the start of the line, for the sake of 
	fontification.
	* mule-util.el (set-nested-alist):
	Merge a change that Handa made to the function back in 1999. 

2006-12-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.49 released.

2006-12-01  Aidan Kehoe  <kehoea@parhasard.net>

	* fsf-compat-unicode.el:
	* fsf-compat-unicode.el (fsf-compat-ccl-encode-to-ucs-2): Removed.
	* fsf-compat-unicode.el (eval-when-compile):
	Pre-expand the macro if we're compiling on 21.4; fixes a packages
	smoketest failure. 

2006-11-29  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile (ELCS):
	* fsf-compat-unicode.el:
	Provide support for some FSF-specific Unicode-coverage Mule
	charsets. 

2006-05-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.48 released.

2006-05-02  Jerry James  <james@xemacs.org>

	* ethio-util.el (ethio-fidel-to-java-buffer): Change \u to \\u in
	docstring.

2005-05-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.47 released.

2004-01-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.46 released.

2004-01-26  Jerry James  <james@xemacs.org>

	* isearch-mule.el (isearch-fep-read-quail): Fix parentheses.

2003-12-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.45 released.

2003-12-15  Steve Youngs  <sryoungs@bigpond.net.au>

	* package-info.in (description): A slightly less confusing
	description. 

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.44 released.

2003-05-11  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.43 released.

2003-05-09  Stephen J. Turnbull  <stephen@xemacs.org>

	* japan-util.el (japanese-symbol-table): Document abbreviated form.

2003-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* japan-util.el (japanese-symbol-table): Add brackets.

2003-03-30  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EARLY_GENERATED_LISP): Revert previous change.

2003-03-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EARLY_GENERATED_LISP): Explicitly set so we don't try
	to build custom-loads, this package doesn't have any.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile (DATA_3_DEST):
	Delete explicit compile:: and binkit: rules.
	Delete code to error when no Mule (now automatic).
	Deleted unused custom auto-autoloads build code.

2002-12-07  Ville Skyttä  <scop@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* Makefile: Use `compile' instead of hard-coded `all'.
	* Makefile: Use new $(BATCH).

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-06-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.42 released.

2002-06-26  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2002-05-07  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2002-05-04  Stephen J. Turnbull  <stephen@xemacs.org>

	* canna.el (canna-mode-map, canna-minibuffer-mode-map): Fix broken
	app keypad movement prefix definition.

2001-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* japan-util.el (japanese-symbol-table): Fix a rule for a japanese
	hyphen character.
	(japanese-hankaku): Prefer the charset `jisx0201' when the
	optional argument `ascii-only' is not specified.
	(japanese-hankaku-region): Ditto.

2001-05-11  Alexey Mahotkin  <alexm@hsys.msk.ru>

	* mule-diag.el: Fix list-coding-systems.

2000-11-09  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (description): Prepended "MULE:" to description.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-06-15  Kenji Itoh  <keit@tpj.co.jp>

	* Makefile: Use BUILD_WITHOUT_MULE rather than BUILD_MULE.

2000-01-05  Andreas Jaeger  <aj@suse.de>

	* TUTORIAL.ja: Remove file, it's already in the core.

	* TUTORIAL.th: Really remove file.

1999-12-08  Andreas Jaeger  <aj@suse.de>

	* Makefile (DATA_FILES): Fix wildcard.

1999-08-24  Hirokazu FUKUI  <fukui@atesoft.advantest.co.jp>

	* japan-util.el (japanese-kana-table): Use characterp instead of
	integerp.

1999-11-22  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mule-diag.el (list-coding-systems): Use
	with-displaying-help-buffer.
	(list-input-methods): Ditto.
	(list-coding-categories): Autoload. Use coding-category-system
	and made interactive.

1999-06-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule-debug.el (list-coding-system-briefly): Define as an
	obsolete alias for `describe-current-coding-system-briefly'.
	(list-coding-system): Define as an obsolete alias for
	`describe-coding-system'.
	(mule-diag): Don't define in here [it is defined in mule-diag.el].
	(dump-charsets): Deleted.
	(dump-coding-systems): Deleted.

	* mule-diag.el: Load "mule-util" when it is compiled.
	(describe-current-coding-system): Use `coding-priority-list'
	instead of `coding-category-list'.
	(list-coding-categories): Likewise.
	(mule-diag): Likewise [but may not work yet].

1999-06-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule-util.el (set-coding-system-alist): Define as an obsolete
	alias for `modify-coding-system-alist'.
	(eol-mnemonic-undecided): New variable.
	(eol-mnemonic-lf): New variable.
	(eol-mnemonic-crlf): New variable.
	(eol-mnemonic-cr): New variable.
	(coding-system-eol-type-mnemonic): New function.
	(detect-coding-with-priority): Ported to XEmacs; changed to inline
	function.
	(detect-coding-with-language-environment): Ported to XEmacs.
	(compose-region): Deleted.
	(decompose-region): Deleted.
	(reference-point-alist): Deleted.
	(compose-chars-component): Deleted.
	(compose-chars-rule): Deleted.
	(compose-chars): Deleted.
	(decompose-composite-char): Deleted.

1999-06-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule-diag.el (sort-charset-list): Deleted.
	(sorted-charset-list): New function.
	(list-character-sets): Don't use `sort-charset-list'.
	(describe-current-coding-system-briefly): Modify for XEmacs.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* china-util.el (setup-chinese-gb-environment-internal): Renamed
	from `chinese-gb-environment-setup-function'.

	* Makefile (ELCS): Add korea-util.elc.
	(auto-autoloads.el): Deleted.

	* korea-util.el: New file.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* japan-util.el (setup-japanese-environment): Call
	`set-language-environment'.
	(setup-japanese-environment-internal): New function [virtually
	renamed from `setup-japanese-environment'].

1999-06-29  Kenichi Handa  <handa@etl.go.jp>

	* thai-xtis-util.el (thai-xtis-word-segment): Wait a little bit
	more after starting `wordseg' program.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* ethio-util.el (setup-ethiopic-environment-internal): Modify for
	XEmacs [but may be not completed].
	(ethio-sera-to-fidel-mail): Don't use `rfc822-goto-eoh'.
	(ethio-fidel-to-sera-mail): Likewise.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* etc/TUTORIAL.th: Deleted [same file is included in kernel].

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* cyril-util.el (setup-cyrillic-iso-environment): Just call
	`set-language-environment'.
	(setup-cyrillic-koi8-environment): Likewise.
	(setup-cyrillic-alternativnyj-environment): Likewise.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* china-util.el (chinese-gb-environment-setup-function): New
	function.
	(setup-chinese-gb-environment): Just call
	`set-language-environment'.
	(setup-chinese-gb-environment): Likewise.
	(setup-chinese-big5-environment): Likewise.
	(hz/zw-start-gb): Add \0-\177.
	(hz-set-msb-table): New constant.
	(decode-hz-region): Sync with Emacs 20.3.11.

1999-06-17  Kenichi Handa  <handa@etl.go.jp>

	* mule-diag.el (describe-current-coding-system-briefly): Fix
	format string.

1999-05-13  Ken'ichi Handa  <handa@gnu.org>

	* mule-diag.el (mule-diag): Change MULE to Mule in docstring.

1999-05-04  Ken'ichi Handa  <handa@gnu.org>

	* mule-diag.el (describe-coding-system): Fix English message.

1998-11-16  Kenichi Handa  <handa@etl.go.jp>

	* japan-util.el (japanese-zenkaku-region): New optional arg
	KATAKANA-ONLY.

1998-10-30  Andreas Schwab  <schwab@delysid.gnu.org>

	* mule-diag.el (describe-coding-system): Describe all flags.

1998-09-06  Bill Richter  <richter@math.nwu.edu>

	* mule-util.el: Doc fixes.

1998-08-01  Kenichi HANDA  <handa@etl.go.jp>

	* mule-diag.el (describe-current-coding-system): Check if each
	coding category is bound to a valid coding system.

	* cyril-util.el (cyrillic-encode-koi8-r-char): New funciton.
	(cyrillic-encode-alternativnyj-char): New function.

1998-07-19  Kenichi Handa  <handa@etl.go.jp>

	* japan-util.el (japanese-replace-region): New function.
	(japanese-katakana-region, japanese-hiragana-region,
	japanese-hankaku-region, japanese-zenkaku-region): Don't change
	point.  Use japanese-replace-region to change text.

1998-06-23  Kenichi Handa  <handa@etl.go.jp>

	* japan-util.el: Introduce new character code property
	`composition'.  Add property `jisx0208' to Japanese hankaku
	characters.
	(japanese-kana-table): Add more data.
	(japanese-symbol-table): Change the order of elements.
	(japanese-katakana-region): Adjusted for the above changes.  Check
	character code properties directly here.
	(japanese-hiragana-region): Likewise.
	(japanese-hankaku-region): Likewise.
	(japanese-zenkaku-region): Likewise.

1998-06-03  Richard Stallman  <rms@gnu.org>

	* mule-diag.el (list-character-sets-1): New subroutine.
	(list-character-sets): Use it.
	(list-coding-systems-1): New subroutine.
	(list-coding-systems): Use it.
	(list-input-methods-1): New subroutine.
	(list-input-methods): Use it.
	(mule-diag): Avoid method of displaying text in *Help* then
	copying it.
	Instead, insert it directly into *Mule-Diagnosis*.
	Use list-character-sets-1, list-coding-systems-1,
	list-input-methods-1.
	Copy the code from list-fontsets and list-coding-categories.
	Improve the display buffer's header.

1998-05-31  Richard Stallman  <rms@gnu.org>

	* mule-diag.el: Many doc fixes.

1998-05-30  Richard Stallman <rms@gnu.org>

	* mule-diag.el (mule-diag): Don't call help-mode.  Instead, call
	print-help-return-message.

1998-05-07  Richard Stallman  <rms@psilocin.gnu.org>

	* mule-diag.el (list-input-methods): Doc fix.

1998-05-06  Richard Stallman  <rms@psilocin.gnu.org>

	* mule-diag.el (print-coding-system): Handle (SYMBOL . SYMBOL) as
	the flags of a type 4 coding system.

1998-04-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* mule-diag.el (list-input-methods): Fix doc string.
	(describe-font, describe-fontset, list-fontsets, mule-diag): Don't
	use fontset-related features if global-fontset-alist is not bound.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* japan-util.el (sentence-end-save): New variable.

1998-04-06  Kenichi Handa  <handa@etl.go.jp>

	* japan-util.el (setup-japanese-environment): Setup sentence-end
	suitable for Japanese text.
	(exit-japanese-environment): New function.

1998-02-04  Kenichi HANDA  <handa@etl.go.jp>

	* china-util.el (encode-hz-region): Do not bind
	enable-multibyte-characters to nil locally.
	
1998-01-21  Kenichi Handa  <handa@etl.go.jp>

	* mule-diag.el (describe-coding-system): Change the format of
	showing safe charsets.

	* mule-util.el (detect-coding-with-priority): New macro.
	(detect-coding-with-language-environment): New function.

1997-10-24  Kenichi Handa  <handa@etl.go.jp>

	* mule-diag.el (list-input-methods): Improve the message shown
	when LEIM is not installed.

1997-10-23  Kenichi Handa  <handa@etl.go.jp>

	* mule-diag.el (list-input-methods): Handle the case that title of
	input method is not a simple string.  Show users an informative
	message when leim is not yet installed.
	(describe-coding-system): Print safe charasets of the coding
	system.

1999-06-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* mule-diag.el (print-coding-system-briefly): Use
	`coding-system-get'; refer `alias-coding-systems'.
	(describe-current-coding-system): Likewise.
	(print-coding-system): Likewise [not ported yet].

1997-10-21  Kenichi Handa  <handa@etl.go.jp>

	* mule-diag.el (describe-coding-system): Print information about
	coding system properties, post-read-conversion and
	pre-write-conversion.

	* mule-util.el (coding-system-post-read-conversion): Use the new
	function coding-system-get.
	(coding-system-pre-write-conversion): Likewise.
	(coding-system-plist): Deleted.

1997-10-19  John F. Whitehead  <jfw@cisco.com>

	* mule-diag.el (describe-font): Fix prompt.

1999-06-29  Kenichi Handa  <handa@etl.go.jp>

	* thai-xtis-util.el (thai-xtis-text-mode): On entering Thai text
	mode, make before-change-functions buffer local, and add
	thai-xtis-wordseg-overlay-modification-function to it.  On exiting
	the mode, wind up this setting.
	(thai-xtis-word-segment): Use `binary' coding system to
	communicate with `wordseg' program.  Decode and encode Thai text
	explicitely.
	(thai-xtis-wordseg-overlay-modification-function): Rewrite it to
	be used in before-change-functions.
	(thai-xtis-put-wordseg-overlay): Don't use overlay properties
	modification-hooks, insert-in-front-hooks, and
	insert-behind-hooks.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* thai-xtis-util.el (thai-xtis-text-mode-map): Don't use
	`escape-map'.

1999-06-29  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* thai-xtis-util.el (setup-thai-xtis-environment): Deleted.
	(exit-thai-xtis-environment): Deleted.
	(thai-xtis-wordseg-coding-system): Use `tis-620'.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* thai-xtis-util.el (thai-xtis-backward-delete-char): Renamed from
	`thai-backward-delete-char'.

1999-06-28  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* thai-xtis-util.el: Require `overlay'.
	(thai-xtis-text-mode-map): Delete unused local variable
	`helper-map'.
	(thai-xtis-wordseg-coding-system): Renamed from
	`thai-xtis-wordseg-coding'.
	(thai-xtis-wordseg-info): Fix typo.
	(thai-xtis-search-next-wordseg): Delete unused local variable
	`point' [typo?].

1999-06-28  TAKAHASHI Naoto  <ntakahas@etl.go.jp>

	* thai-xtis-util.el (thai-xtis-generic-char): New variable.
	(thai-xtis-char-regexp): New variable.
	(thai-xtis-text-mode): Renamed from `thai-text-mode'.
	(thai-xtis-text-mode-map): Renamed from `thai-text-mode-map';
	bound various commands.
	(thai-xtis-prev-auto-fill-function): New variable.
	(thai-xtis-prev-normal-auto-fill-function): New variable.
	(thai-xtis-text-mode): Renamed from `thai-text-mode'; new
	implementation.
	(thai-xtis-wordseg-program): New variable.
	(thai-xtis-wordseg-data): New variable.
	(thai-xtis-wordseg-args): New variable.
	(thai-xtis-wordseg-service): New variable.
	(thai-xtis-wordseg-server): New variable.
	(thai-xtis-wordseg-coding): New variable.
	(thai-xtis-wordseg-proc): New variable.
	(thai-xtis-wordseg-buf): New variable.
	(thai-xtis-wordseg-ready): New variable.
	(thai-xtis-wordseg-filter): New function.
	(thai-xtis-word-segment): New function.
	(thai-xtis-delete-wordseg-overlay): New function.
	(thai-xtis-wordseg-overlay-modification-function): New function.
	(thai-xtis-get-wordseg-overlay): New function.
	(thai-xtis-put-wordseg-overlay): New function.
	(thai-xtis-set-wordseg-info-region): New function.
	(thai-xtis-wordsegs-at): New function.
	(thai-xtis-wordseg-info): New function.
	(thai-xtis-search-next-wordseg): New function.
	(thai-xtis-find-break-point): New function.
	(thai-xtis-auto-fill-delay-column): New variable.
	(thai-xtis-do-auto-fill): New function.
	(thai-xtis-forward-word): New function.
	(thai-xtis-backward-word): New function.
	(thai-xtis-kill-word): New function.
	(thai-xtis-backward-kill-word): New function.
	(thai-xtis-transpose-words): New function.

1999-05-27  SL Baur  <steve@gneiss.etl.go.jp>

	* canna.el: Removed RCS magic cookies.
	Removed bytecompile bomb if no Canna support -- we never build .elcs
	with Canna support.

1999-05-26  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* Makefile (REQUIRES): Add `apel'.

1999-05-24  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* canna.el (canna:delete-last-preedit): Save `buffer-undo-list'.
	(canna:insert-preedit): Likewise.

1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* canna.el (canna:enter-canna-mode): Don't use
	`buffer-disable-undo'.
	(canna:quit-canna-mode): Don't use `buffer-enable-undo'.

1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* canna.el: Abolish function `cancel-undo-boundary' because it is
	defined in poem.

1998-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* canna.el (canna-dl-module): New variable.

1999-05-25  SL Baur  <steve@gneiss.etl.go.jp>

	* japan-util.el (setup-japanese-environment): load Kana keyboard
	support if using a kana keyboard.

	* kana-keyboard.el: New file.

1999-04-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* etc/TUTORIAL.th, doc/Thai/README.Mule: Convert to tis-620.

1999-04-05  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* thai-xtis-util.el: Merge some features of thai-text.el by
	Ken'ichi HANDA <handa@etl.go.jp> and
	Virach Sornlertlamvanich <virach@links.nectec.or.th>.

1999-04-01  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* ethio-util.el (ethio-fidel-to-java-buffer): Don't use ?xHHHH to
	represent hex numbers [use #xHHHH instead].
	(ethio-java-to-fidel-buffer): Likewise.

1999-03-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* Makefile (ELCS): Add thai-xtis-util.elc, viet-util.elc and
	ethio-util.elc.
	(EXTRA_SOURCES): Delete thai.el and thai-util.el.

	* thai-xtis-util.el: New file
	[by TAKAHASHI Naoto <ntakahas@etl.go.jp>].

	* viet-util.el, ethio-util.el: New files [imported from Emacs
	20.3.7].

	* thai.el, thai-util.el: Removed.

1999-04-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* etc/TUTORIAL.th, doc/Thai/README.Mule: Convert to tis-620.

1999-04-05  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* thai-xtis-util.el: Merge some features of thai-text.el by
	Ken'ichi HANDA <handa@etl.go.jp> and
	Virach Sornlertlamvanich <virach@links.nectec.or.th>.

1999-04-01  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* ethio-util.el (ethio-fidel-to-java-buffer): Don't use ?xHHHH to
	represent hex numbers [use #xHHHH instead].
	(ethio-java-to-fidel-buffer): Likewise.

1999-03-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* Makefile (ELCS): Add thai-xtis-util.elc, viet-util.elc and
	ethio-util.elc.
	(EXTRA_SOURCES): Delete thai.el and thai-util.el.

	* thai-xtis-util.el: New file
	[by TAKAHASHI Naoto <ntakahas@etl.go.jp>].

	* viet-util.el, ethio-util.el: New files [imported from Emacs
	20.3.7].

	* thai.el, thai-util.el: Removed.

1999-06-07  SL Baur  <steve@xemacs.org>

	* mule-debug.el: delete.

1999-05-27  SL Baur  <steve@gneiss.etl.go.jp>

	* canna.el: Removed RCS magic cookies.
	Removed bytecompile bomb if no Canna support -- we never build .elcs
	with Canna support.

1999-05-26  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* Makefile (REQUIRES): Add `apel'.

1999-05-24  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* canna.el (canna:delete-last-preedit): Save `buffer-undo-list'.
	(canna:insert-preedit): Likewise.

1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* canna.el (canna:enter-canna-mode): Don't use
	`buffer-disable-undo'.
	(canna:quit-canna-mode): Don't use `buffer-enable-undo'.

1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* canna.el: Abolish function `cancel-undo-boundary' because it is
	defined in poem.

1998-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* canna.el (canna-dl-module): New variable.

1999-05-25  SL Baur  <steve@gneiss.etl.go.jp>

	* japan-util.el (setup-japanese-environment): load Kana keyboard
	support if using a kana keyboard.

	* kana-keyboard.el: New file.

1999-04-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* etc/TUTORIAL.th, doc/Thai/README.Mule: Convert to tis-620.

1999-04-05  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* thai-xtis-util.el: Merge some features of thai-text.el by
	Ken'ichi HANDA <handa@etl.go.jp> and
	Virach Sornlertlamvanich <virach@links.nectec.or.th>.

1999-04-01  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* ethio-util.el (ethio-fidel-to-java-buffer): Don't use ?xHHHH to
	represent hex numbers [use #xHHHH instead].
	(ethio-java-to-fidel-buffer): Likewise.

1999-03-30  MORIOKA Tomohiko  <tomo@etl.go.jp>

	* Makefile (ELCS): Add thai-xtis-util.elc, viet-util.elc and
	ethio-util.elc.
	(EXTRA_SOURCES): Delete thai.el and thai-util.el.

	* thai-xtis-util.el: New file
	[by TAKAHASHI Naoto <ntakahas@etl.go.jp>].

	* viet-util.el, ethio-util.el: New files [imported from Emacs
	20.3.7].

	* thai.el, thai-util.el: Removed.

1999-05-13  SL Baur  <steve@gneiss.etl.go.jp>

	* thai.el, thai-util.el: deleted pending updated thai support

1999-04-06  SL Baur  <steve@altair.xemacs.org>

	* canna.el (canna:create-mode-line): Fix doc string.
	(canna:functional-insert-command2): Ditto.
	(canna-touroku-region): Ditto.
	(canna-set-mark-command): Ditto.
	(canna-henkan-region-or-self-insert): Ditto.
	(toplevel): translate a few comments into English

	(canna-functional-insert-command): Handle backspace and delete
	keysyms properly for XEmacs 21.0.
	(canna-minibuffer-insert-command): Ditto.
	Backspace and Delete fixes suggested by Glynn Clements
	<glynn@sensei.co.uk>

1999-03-17  SL Baur  <steve@xemacs.org>

	* ethio-util.EL:
	* ethiopic.EL:
	* vietnamese.EL: Removed.

1999-03-12  SL Baur  <steve@xemacs.org>

	* README.SJ3.ja: Rename **/*.jp -> *.ja.
	* doc/X11.ja: Ditto.
	* doc/TAB.ja (Date): Ditto.
	* doc/NeXT.ja: Ditto.
	* doc/ISO2022.ja: Ditto.
	* etc/TUTORIAL.ja: Ditto.
	* etc/FAQ-Mule.ja: Ditto.

1999-02-17  SL Baur  <steve@xemacs.org>

	* Makefile (ELCS): Move dumped Mule files into core (removes
	arabic.el, canna-leim.el, chinese.el, cyrillic.el, english.el,
	european.el, greek.el, hebrew.el, japanese.el, kinsoku.el,
	korean.el, misc-lang.el, mule-category.el, mule-ccl.el,
	mule-charset.el, mule-cmds.el, mule-coding.el, mule-files.el,
	mule-help.el, mule-init.el, mule-misc.el, mule-tty-init.el,
	mule-x-init.el, viet-chars.el).

1998-12-05  SL Baur  <steve@altair.xemacs.org>

	* mule-cmds.el (set-language-info): Spelling fix.
	(set-language-info-alist): Ditto.
	Suggested by Martin Buchholz <martin@xemacs.org>

1998-08-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* korean.el: Modify eol-type of coding-system `euc-kr' to nil.

	* mule-coding.el: Modify eol-type of coding-system `ctext',
	`iso-2022-7bit-ss2' to nil.
	Modify coding-system `iso-8859-1' as no-conversion.
	Define coding-system `iso-2022-jp-2' by `make-coding-system'
	instead of `copy-coding-system' because `copy-coding-system' does
	not copy -{dos|unix|mac}.

1998-07-13  Glynn Clements  <glynn@sensei.co.uk>

	* mule-help.el (help-with-tutorial): don't signal an error if the
	regexp "^<<.+>>" isn't matched.

1998-07-23  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Don't build anything if XEmacs/non-Mule.

1998-07-09  SL Baur  <steve@altair.xemacs.org>

	* cyrillic.el "Cyrillic-ISO": Add Russian Tutorial.
	"Cyrillic-KOI8": Ditto.
	"Cyrillic": Ditto.
	"Cyrillic-ALT": Ditto.

1998-06-27  SL Baur  <steve@altair.xemacs.org>

	* european.el ("Romanian"): Add support for Romanian Tutorial.
	("Croatian"): 
	("Romanian"): 
	("Polish"): Serbian and Croatian are NOT synonymous.

1998-06-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule-misc.el (split-char): fixed.

1998-04-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* hebrew-hooks.el: Delete garbage.

1998-04-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* china-util.el (decode-hz-region): Use 'cn-gb-2312 instead of
 	'euc-china.

1997-12-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* cyrillic.el: Comment out `ccl-encode-alternativnyj-font' because
	it is not used.

	* cyrillic.el: Comment out `ccl-encode-koi8-font' because it is
	not used.

	* cyrillic.el: Revive coding-system `koi8-r'.

1998-05-10  Martin Buchholz  <martin@xemacs.org>

	* mule-tty-init.el: Use before-init-hook to allow user's .emacs to 
	override autodetected keyboard,terminal-coding-system.
	Use euc-jp instead of iso-2022-jp, more correct in theory, makes
	little difference in practice.  If XEmacs euc coding system ever
	gets fixed so that XEmacs knows that new character sets like
	iso8859-2 are not properly displayed, we won't get garbage on the
	screen for those character sets.

1998-05-09  SL Baur  <steve@altair.xemacs.org>

	* mule-cmds.el (set-language-info): x-menubar renamed to
	menubar-items.

1998-04-07  SL Baur  <steve@altair.xemacs.org>

	* Makefile (binkit): Use TAR/EXCLUDES variables from XEmacs.rules.

1998-04-03  Martin Buchholz  <martin@xemacs.org>

	* mule-x-init.el: Automagically detect coding system on kterms.

1998-03-13  Stephen J. Turnbull <turnbull@sk.tsukuba.ac.jp>

	* canna.el: require 'overlay

1998-03-07  SL Baur  <steve@altair.xemacs.org>

	* mule-tty-init.el: New file.
	From Kazuyuki IENAGA <ienaga@jsys.co.jp>

1998-02-25  SL Baur  <steve@altair.xemacs.org>

	* Coding system stuffs separated from Mule.
	From Andy Piper <andyp@parallax.co.uk>

1998-02-17  SL Baur  <steve@altair.xemacs.org>

	* mule-coding.el (set-terminal-coding-system): Mule tty support.
	From Kazuyuki IENAGA <ienaga@jsys.co.jp>

1998-02-15  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* Makefile (binkit): Remove old package.

1998-02-13  SL Baur  <steve@altair.xemacs.org>

	* mule-help.el (help-with-tutorial): Use `locate-data-file' to
	find TUTORIAL.

1998-02-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mule-files.el: Make coding-system magic cookie work.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (binkit): Remove references to `cp -a'.
	(VERSION): Update to package standards 1.0.
	* package-info.in: Ditto.

1998-01-11  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-10  SL Baur  <steve@altair.xemacs.org>

	* README.SJ3.jp: New file documenting SJ3.

1998-01-02  Didier Verna  <verna@inf.enst.fr>

	* mule-help.el: Adapted help-with-tutorial to understand the calls
	from the menubar (help-with-tutorial nil <tutorial>)

1998-01-02  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-22  SL Baur  <steve@altair.xemacs.org>

	* mule-files.el (file-coding-system-alist): Make various know
	graphical extension types 'binary.
	From P. E. Jareth Hein <jareth@camelot-soft.com>

	* mule-cmds.el (set-language-info): Specify x-menubar.elc as the
	name to `eval-after-load'.

1997-12-20  SL Baur  <steve@altair.xemacs.org>

	* chinese.el: Remove its/ prefix.
	* korean.el (setup-korean-environment): Ditto.
	* japanese.el (japanese): Ditto.

1997-12-19  SL Baur  <steve@altair.xemacs.org>

	* mule-init.el (init-mule): Locale specific start files have been
	moved to the data-directory.
